Skip to content

Verify a Push Notification Challenge Response from the App Authenticator

Request

Verifies a push notification challenge from the app authenticator

Path
challengeIdstringrequired

Id of the challenge associated with the app authenticator

Example:ft-hqOpHM8yxcGvE0cN7UXWVodVyP0omKW
Headers
Acceptstringrequired

Specifies the API version. Current version: 1.0.0

Example:application/json; okta-version=1.0.0
Bodyapplication/json;okta-version=1.0.0
challengeResponsestring

JWT issued by the app authenticator at the time of push notification verification

This based64-encoded JWT consists of a JWT header and a JWT payload.

methodstring
Value:"push"
POST
/idp/myaccount/app-authenticators/challenge/{challengeId}/verify
curl -i -X POST \
  https://okta-subdomain.pixtulate.com/idp/myaccount/app-authenticators/challenge/ft-hqOpHM8yxcGvE0cN7UXWVodVyP0omKW/verify \
  -H 'Accept: application/json; okta-version=1.0.0' \
  -H 'Content-Type: application/json;okta-version=1.0.0' \
  -d '{
    "method": "push",
    "challengeResponse": "Your encoded challenge response JWT"
  }'

Responses

Verification Success

Response
No content